Subject: RE: Same source ports for different associations

From: <[email-masked]>
Date: Tue, 5 Nov 2002 22:19:24 +0200

Hi Simon!

> -----Original Message-----
> From: ext [email-masked] [mailto:[email-masked]]
> Sent: 05. November 2002 21:41
> To: [email-masked]
> Subject: Same source ports for different associations
> 
> 
> Hi List,
> 
> Per RFC 2960 on Page 17,
> 
>   " Source Port Number: 16 bits (unsigned integer)
> 
>       This is the SCTP sender's port number.  It can be used by the
>       receiver in combination with the source IP address, the SCTP
>       destination port and possibly the destination IP address to
>       identify the association to which this packet belongs."
> 
> Based on the above statement, if 2 associations of a SCTP 
> endpoint use 1)
> same source port number & different destination port numbers; 2) same
> source & destination addresses, then the receiving SCTP 
> endpoint will have
> problem to identify the association.

	I don't follow you... Why do you say that? Basically we are in the same situation than in TCP... As far as one of the four elements is different (either the source or the destination addresses, or ports) you identify the packet as belonging to one association or another...

	The only thing that I think could confuse you is that "... and possibly the...". If the peer is not multihomed, it doesn't have to look to the receiver address, since if it got the packet it means that it went to his address... This is why the receiver address is not always needed... I don't know if this is the reason why you have that doubt...

> Does it mean that same source port number is not allowed for different
> associations at a SCTP endpoint?

	This is not allowed only if the source port is the same, but also the destination port, source address and destination address... i.e., it is the same association...

	Otherwise, you don't have any problem to identify the association to which the packet belongs...

	I hope this helps!

	BR Iván Arias Rodríguez

> Simon